Bug 168935

Summary: www/firefox-remote shares PORTNAME with www/firefox
Product: Ports & Packages Reporter: rkoberman
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description rkoberman 2012-06-11 01:50:03 UTC
	
www/firefox-remote uses a PORTNAME of "firefox" which is hte same as
that of the main firefox port. This results in firefox-remote over-writing
the options for firefox.

Since firefox-remote is onloy used with firefox, this means that, if any
options are selected, options for firefox are lost and vice-versa.

Fix: 

Change PORTNAME to firefox-remote
How-To-Repeat: Install firefox with an option selected and then build firefox with options
selected.
Comment 1 Edwin Groothuis freebsd_committer 2012-06-11 07:53:39 UTC
Maintainer of www/firefox-remote,

Please note that PR ports/168935 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168935

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-06-11 07:53:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jason Helfman freebsd_committer 2012-10-08 04:23:16 UTC
Look like this is another instance of ports/148637.

-jgh

-- 
Jason Helfman
FreeBSD Committer | http://people.freebsd.org/~jgh | The Power To Serve
Comment 4 Matthew Seaman freebsd_committer 2012-10-08 07:02:15 UTC
On Sun, Oct 07, 2012 at 08:23:16PM -0700, Jason Helfman wrote:
> Look like this is another instance of ports/148637.


Pretty similar in what happens, yes.  But the mechanism is different,
and here www/firefox-remote is a distinct port to www/firefox, and the
problem is due to clearly incorrect code in the firefox-remote port.

Like Kevin says, start with setting:

PORTNAME=	firefox-remote

remove PKGNAMESUFFIX and adjust anywhere that refers to those
variables.

	Cheers,

	Matthew

-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
JID: matthew@infracaninophile.co.uk               Kent, CT11 9PW
Comment 5 dfilter service freebsd_committer 2013-04-28 17:13:18 UTC
Author: stefan
Date: Sun Apr 28 16:13:10 2013
New Revision: 316732
URL: http://svnweb.freebsd.org/changeset/ports/316732

Log:
  To avoid firefox-remote overwriting options for firefox, set PORTNAME to
  "firefox-remote" and get rid of PKGNAMESUFFIX.
  
  PR:		168935
  Submitted by:	Kevin Oberman <rkoberman@gmail.com>
  Approved by:	maintainer reset >5 months ago

Modified:
  head/www/firefox-remote/Makefile

Modified: head/www/firefox-remote/Makefile
==============================================================================
--- head/www/firefox-remote/Makefile	Sun Apr 28 16:00:13 2013	(r316731)
+++ head/www/firefox-remote/Makefile	Sun Apr 28 16:13:10 2013	(r316732)
@@ -1,13 +1,11 @@
 # Created by: Franz Klammer <klammer@webonaut.com>
 # $FreeBSD$
 
-PORTNAME=	firefox
+PORTNAME=	firefox-remote
 PORTVERSION=	20040803
 PORTREVISION=	3
 CATEGORIES=	www
-MASTER_SITES=	http://www.webonaut.com/distfiles/${PORTNAME}${PKGNAMESUFFIX}/
-PKGNAMESUFFIX=	-remote
-DISTNAME=	${PORTNAME}${PKGNAMESUFFIX}-${PORTVERSION}
+MASTER_SITES=	http://www.webonaut.com/distfiles/${PORTNAME}/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Wrapper scripts for firefox web browser
@@ -15,8 +13,8 @@ COMMENT=	Wrapper scripts for firefox web
 USE_BZIP2=	yes
 
 UTF8_HACK=	no
-FIREFOX_REMOTE=	${PORTNAME}${PKGNAMESUFFIX}
-THUNDERBIRD_REMOTE=	thunderbird${PKGNAMESUFFIX}
+FIREFOX_REMOTE=	firefox-remote
+THUNDERBIRD_REMOTE=	thunderbird-remote
 
 OPTIONS_DEFINE=	UTF8_LOCALE MENU_FIREFOX MENU_THUNDERBIRD
 UTF8_LOCALE_DESC=	Use UTF8 locale (read Makefile for details)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Stefan Walter freebsd_committer 2013-04-28 17:13:22 UTC
State Changed
From-To: feedback->closed

Given that the maintainer of www/firefox-remote has been reset nearly half a 
year ago, I just went ahead and made the changes that Keving and Matthew 
suggested.